<?php
// Check if 'id' is passed; if not, display a message and link to search page
if (empty($_REQUEST['id'])) {
    echo "Error: No meeting ID provided. Please perform a search first.";
    echo "<br><a href='search.php'>Go to Search Page</a>";
    exit();
}

// Database connection
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli($host, $userid, $userpw, $db);

if ($mysql->connect_errno) {
    echo "DB connection error: " . $mysql->connect_error;
    exit();
}

// SQL query to get details of the specific meeting
$sql = "SELECT name, price, manufacturer_id, system_id, type_id 
        FROM devices 
        WHERE device_id = " . (int)$_REQUEST['id'];

echo "<hr>SQL:<br>" . htmlspecialchars($sql) . "<hr>";

$results = $mysql->query($sql);

if (!$results) {
    echo "<hr>Your SQL:<br> " . htmlspecialchars($sql) . "<br><br>";
    echo "SQL Error: " . htmlspecialchars($mysql->error) . "<hr>";
    exit();
}

if ($results->num_rows == 0) {
    echo "No results found for the given ID.";
}
?>


<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="details">
        <table>
            <tr>
                <td rowspan="5" class="img">
                    <img src="https://image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg" class="img">
                </td>
                <td class="label">Name:</td>
                <td class="data"><strong><em>Pixel</em></strong></td>
            </tr>
            <tr>
                <td class="label">Price:</td>
                <!-- should be a SQL statement that gets the results' price-->
                <td><strong>549.00</strong></td>
            </tr>
            <tr>
                <td class="label">Manufacturer:</td>
                <!-- should be a SQL statement that gets the results' manufacturer-->
                <td>Apple</td>
            </tr>
            <tr>
                <td class="label">System:</td>
                <!-- should be a SQL statement that gets the results' system-->
                <td>iOS</td>
            </tr>
            <tr>
                <td class="label">Type:</td>
                <!-- should be a SQL statement that gets the results' type-->
                <td>Smartphone</td>
            </tr>
        </table>
    </div>

</div>
</body>
</html>